#
# spec file for package perl-Locale-Maketext-Fuzzy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Locale-Maketext-Fuzzy
%define real_name Locale-Maketext-Fuzzy
Summary:        Maketext from already interpolated strings  
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/perldoc?Locale::Maketext::Fuzzy
Version:        0.11
Release:        3.1
Source:         %{real_name}-%{version}.tar.gz
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Package)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module is a subclass of Locale::Maketext, with additional support for
localizing messages that already contains interpolated variables.

This is most useful when the messages are returned by external sources -- for
example, to match dir: command not found against [_1]: command not found.

%prep
%setup -n %{real_name}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.files 
%defattr(-, root, root)
%doc Changes README MANIFEST

%changelog
* Sun Oct  7 2018 opensuse@dstoecker.de
- Fix build
* Thu Sep 26 2013 darin@darins.net
- update to 0.11
  * LICENSING CHANGE: This compilation and all individual files in it
    are now under public domain with the "CC0 Universal" declaration.
  * Skip fuzzy matches which are only placeholders and whitespace.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.10
